Bug 949336 - Review Request: rtl-sdr - SDR utilities for Realtek RTL2832 based DVB-T dongles
Summary: Review Request: rtl-sdr - SDR utilities for Realtek RTL2832 based DVB-T dongles
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael S.
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 948000
TreeView+ depends on / blocked
 
Reported: 2013-04-07 20:49 UTC by Jaroslav Škarvada
Modified: 2014-09-24 10:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-08 09:37:30 UTC
misc: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jaroslav Škarvada 2013-04-07 20:49:55 UTC
Spec URL: http://fedorapeople.org/~jskarvad/rtl-sdr/rtl-sdr.spec
SRPM URL: http://fedorapeople.org/~jskarvad/rtl-sdr/rtl-sdr-0-0.1.20130403git4a068f56.fc18.src.rpm
Description: This package can turn your RTL2832 based DVB-T dongle into a SDR receiver.
Fedora Account System Username: jskarvad

The rtl-sdr-0-lib64-fix.patch was sent upstream.

Comment 1 Michael S. 2013-04-07 21:11:13 UTC
Hi,

- can you add a comment to the spec, saying patch was sent upstream ?
( just for tracking purpose, even if I guess it will be included upstream ) 

- why is doxygen and graphviz needed, as the documentation is not in the rpm ?
( ie, shouldn't the doc end in some rpm ? )

Comment 2 Michael S. 2013-04-07 21:22:08 UTC
Package Review
==============

Key:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Errors
======

- License is wrong, since there is a bundle of getopt

- there is getopt in bundle

- -devel should pull main with %{_isa} 

- patch being sent upstream should be documented in spec

- install should use -p ( if I am not wrong ), but that's minor

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "LGPL (v2.1 or later)
     (with incorrect FSF address)", "GPL (v2 or later)", "Unknown or
     generated". 1 files have unknown license. Detailed output of licensecheck
     in /home/misc/checkout/git/FedoraReview/949336-rtl-sdr/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/udev, /etc/udev/rules.d
[x]: %build honors applicable compiler flags or justifies otherwise.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rtl-sdr-
     devel
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rtl-sdr-0-0.1.20130403git4a068f56.fc18.x86_64.rpm
          rtl-sdr-devel-0-0.1.20130403git4a068f56.fc18.x86_64.rpm
rtl-sdr.x86_64: W: no-manual-page-for-binary rtl_fm
rtl-sdr.x86_64: W: no-manual-page-for-binary rtl_tcp
rtl-sdr.x86_64: W: no-manual-page-for-binary rtl_sdr
rtl-sdr.x86_64: W: no-manual-page-for-binary rtl_adsb
rtl-sdr.x86_64: W: no-manual-page-for-binary rtl_eeprom
rtl-sdr.x86_64: W: no-manual-page-for-binary rtl_test
rtl-sdr-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rtl-sdr rtl-sdr-devel
rtl-sdr.x86_64: W: no-manual-page-for-binary rtl_fm
rtl-sdr.x86_64: W: no-manual-page-for-binary rtl_tcp
rtl-sdr.x86_64: W: no-manual-page-for-binary rtl_sdr
rtl-sdr.x86_64: W: no-manual-page-for-binary rtl_adsb
rtl-sdr.x86_64: W: no-manual-page-for-binary rtl_eeprom
rtl-sdr.x86_64: W: no-manual-page-for-binary rtl_test
rtl-sdr-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 7 warnings.
# echo 'rpmlint-done:'



Requires
--------
rtl-sdr (rpmlib, GLIBC filtered):
    /bin/sh
    /sbin/ldconfig
    config(rtl-sdr)
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    librtlsdr.so.0()(64bit)
    libusb-1.0.so.0()(64bit)
    rtld(GNU_HASH)
    shadow-utils

rtl-sdr-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    librtlsdr.so.0()(64bit)
    rtl-sdr



Provides
--------
rtl-sdr:
    config(rtl-sdr)
    librtlsdr.so.0()(64bit)
    rtl-sdr
    rtl-sdr(x86-64)

rtl-sdr-devel:
    pkgconfig(librtlsdr)
    rtl-sdr-devel
    rtl-sdr-devel(x86-64)



Generated by fedora-review 0.4.0 (cf29f98) last change: 2013-02-08
Buildroot used: fedora-18-x86_64
Command line :./try-fedora-review -b 949336

Comment 3 Jaroslav Škarvada 2013-04-07 21:23:49 UTC
(In reply to comment #1)
> - can you add a comment to the spec, saying patch was sent upstream ?
> ( just for tracking purpose, even if I guess it will be included upstream ) 
> 
Added.

> - why is doxygen and graphviz needed, as the documentation is not in the rpm
Leftover, it seems there is no docs supported, removed, thanks for the catch.

Both fixed without release bump.

Comment 4 Jaroslav Škarvada 2013-04-07 21:54:27 UTC
(In reply to comment #2)
Thanks for the review.

> - License is wrong, since there is a bundle of getopt
> 
> - there is getopt in bundle
It seems to be used only on win32, we would probably need to change the license field to GPL, thus removed in %pre and the license should be OK now.
> 
> - -devel should pull main with %{_isa} 
> 
fixed

> - patch being sent upstream should be documented in spec
> 
fixed
> - install should use -p ( if I am not wrong ), but that's minor
> 
fixed

Spec URL: http://fedorapeople.org/~jskarvad/rtl-sdr/rtl-sdr.spec
SRPM URL: http://fedorapeople.org/~jskarvad/rtl-sdr/rtl-sdr-0-0.2.20130403git4a068f56.fc18.src.rpm

Comment 5 Jaroslav Škarvada 2013-04-07 22:01:25 UTC
(In reply to comment #4)
> (In reply to comment #2)
> Thanks for the review.
> 
> > - License is wrong, since there is a bundle of getopt
> > 
> > - there is getopt in bundle
> It seems to be used only on win32, we would probably need to change the
> license field to GPL, thus removed in %pre and the license should be OK now.
> > 
It was probably OK, but removed in %prep to be safe the code is not included.

Comment 6 Michael S. 2013-04-07 23:00:13 UTC
Well, for the comment on the patch, that's more to say how it was sent upstream :)

bit that's not a blocking point of the review, nd the rest is good, so the package is approved.

Comment 7 Jaroslav Škarvada 2013-04-08 08:34:11 UTC
(In reply to comment #6)
Thanks.

> Well, for the comment on the patch, that's more to say how it was sent
> upstream :)
> 
I sent it to the person (laforge@gnumonks.org ) I got from the changelog, but he pointed me to the osmocom-sdr@lists.osmocom.org list. The list seems to be moderated and the message still didn't show in the archive, thus I cannot add any URL to track this issue, but I will take care.

Comment 8 Jaroslav Škarvada 2013-04-08 08:40:47 UTC
New Package SCM Request
=======================
Package Name: rtl-sdr
Short Description: SDR utilities for Realtek RTL2832 based DVB-T dongles
Owners: jskarvad
Branches: f18 f19
InitialCC:

Comment 9 Pavol Babinčák 2013-04-08 09:09:13 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2013-04-08 09:43:50 UTC
rtl-sdr-0-0.2.20130403git4a068f56.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rtl-sdr-0-0.2.20130403git4a068f56.fc19

Comment 11 Fedora Update System 2013-04-08 09:44:21 UTC
rtl-sdr-0-0.2.20130403git4a068f56.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rtl-sdr-0-0.2.20130403git4a068f56.fc18

Comment 12 Fedora Update System 2013-04-17 00:20:12 UTC
rtl-sdr-0-0.2.20130403git4a068f56.fc18 has been pushed to the Fedora 18 stable repository.

Comment 13 Fedora Update System 2013-04-20 19:25:43 UTC
rtl-sdr-0-0.2.20130403git4a068f56.fc19 has been pushed to the Fedora 19 stable repository.

Comment 14 Jaroslav Škarvada 2014-09-24 09:37:51 UTC
Package Change Request
======================
Package Name: rtl-sdr
New Branches: epel7
Owners: jskarvad
InitialCC: cottsay

Comment 15 Gwyn Ciesla 2014-09-24 10:07:14 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.